@import "/src/app/layout/variables";

 .spinner-overlay {
  display: flex;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999 !important;
  background-color: rgba(0, 0, 0, 0.6);

 .gridLoader {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin: 20px auto;

    .custom-loader {
      width: 40px;
      height: 40px;
      background: $primary-color;
      transform:perspective(150px) rotateX(0);
      animation: f1 1s infinite;
      margin-right: 10px;
      img {
        width: 40px;
        height: 40px;
      }
    }
    .loaderIcon {
      width: 50px;
      height: 50px;
      position: relative;
      margin: 5px;

      .loaderIconBoxCenter {
        width: 33%;
        height: 33%;
        border: 1px solid #939393;
        position: absolute;
        background-color: #cc3333;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
      }
      .loaderIconBox {
        width: 100%;
        height: 33%;
        position: absolute;
        &::before {
          content: "";
          border: 1px solid #939393;
          width: 33%;
          height: 100%;
          background-color: #fff;
          position: absolute;
          left: 0;
          top: 0;
          animation: loadBox .7s infinite  ease-in-out;
          // display: block;
        }
      }
      .one {
        left: 0;
        top: 0;
      }
      .two {
        right: -33%;
        top: 33%;
        transform: rotate(90deg);
      }
      .three {
        right: 0;
        bottom: 0;
        transform: rotate(180deg);
      }
      .four {
        left: -33%;
        bottom: 33%;
        transform: rotate(270deg);
      }
    }
    .loaderText {
      font-weight: bold;
      color: #fff !important;
      animation: blink .7s infinite ease-in-out;
    }
  }

}

.loading-text {
  position: absolute;
  top: 60%;
  left: 50%;
  transform: translate(-50%, -60%);
}
